SDL_CreateHapticEffect(3)

NAME
SDL_CreateHapticEffect - Create a new haptic effect on a specified device.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_CreateHapticEffect(SDL_Haptic *haptic, const SDL_HapticEffect *effect);

FUNCTION PARAMETERS

haptic
    an SDL_Haptic
     device to create the effect on.

effect
    an SDL_HapticEffect
     structure containing the properties of the effect to create.

RETURN VALUE
Returns the ID of the effect on success or -1 on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_DestroyHapticEffect(3), •(3), SDL_RunHapticEffect(3), •(3), SDL_UpdateHapticEffect(3)